local currentBlock = {}

local directions =  {"None","Up", "UpLeft", "UpRight", "Left", "Right", "DownLeft", "DownRight", "Down"}

currentBlock.name = "SusanHelper/CurrentDreamBlock"
currentBlock.borderColor = {255,255,255, 0.6}
currentBlock.fillColor = {0,0,0, 0.8}
currentBlock.placements = {
    name = "Current Dream Block",
    data = {
        fastMoving = false,
        direction = "None",
        width = 8,
        height = 8,
        oneUse = false,
        Depth=-9000,
        particleSpeed=100,
        noJump=false
    }
}

currentBlock.fieldInformation = {
    direction = {fieldType = "string", options=directions}
}

currentBlock.depth = 0

return currentBlock