local dashRamp = {}

local facings =  {"Up", "SteepUpDiag", "UpDiag", "MildUpDiag", "Horizontal", "MildDownDiag", "DownDiag", "SteepDownDiag", "Down"}

dashRamp.name = "SusanHelper/DashRamp"
dashRamp.depth = 0
dashRamp.texture = "objects/dashRamp/idle0"
dashRamp.placements = {
    name = "DashRamp",
    data = {
        facing = "Up",
        left = false,
        launchSpeed = 300,
        orthogonalSpeed = 100,
        carryXSpd = false,
        refillDash = false
    }
}
dashRamp.fieldInformation = {
    facing = {fieldType = "string", options=facings},
    orthogonalSpeed = {fieldType = "integer"},
    launchSpeed = {fieldType = "integer", minimumValue = 0}
}

return dashRamp