local drawableSprite = require("structs.drawable_sprite")

local JackalMaidCafe = {}

JackalMaidCafe.name = "SusanHelper/JackalMaidCafe"
JackalMaidCafe.depth = 1000
JackalMaidCafe.placements = {
    name = "Jackal Maid Cafe"
}

local backTexture = "objects/wavedashtutorial/building_back"
local leftTexture = "objects/wavedashtutorial/building_front_left"
local rightTexture = "objects/wavedashtutorial/building_front_right"

function JackalMaidCafe.sprite(room, entity)
    local backSprite = drawableSprite.fromTexture(backTexture, entity)
    local leftSprite = drawableSprite.fromTexture(leftTexture, entity)
    local rightSprite = drawableSprite.fromTexture(rightTexture, entity)

    backSprite:setJustification(0.5, 1.0)
    leftSprite:setJustification(0.5, 1.0)
    rightSprite:setJustification(0.5, 1.0)

    local sprites = {
        backSprite,
        leftSprite,
        rightSprite
    }

    return sprites
end

return JackalMaidCafe